Name:           bdftopcf
Version:        1.1.2
Release:        %mkrel 3
Summary:        Font compiler for the X server and font server
Group:          Development/X11
License:        MIT
URL:            https://www.x.org
Source:         https://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  x11-util-macros >= 1.0.1

%description
bdftopcf is a font compiler for the X server and font server. Fonts
in Portable Compiled Format can be read by any architecture, although
the file is structured to allow one particular architecture to read
them directly without reformatting.  This allows fast reading on the
appropriate machine, but the files are still portable (but read more
slowly) on other machines.

%prep
%autosetup

%build
%configure	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%license COPYING
%{_bindir}/bdftopcf
%{_mandir}/man1/bdftopcf.1*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.1.2-3.mga10
+ Revision: 2230785
- Mageia 10 Mass Rebuild

* Wed Dec 04 2024 daviddavid <daviddavid> 1.1.2-2.mga10
+ Revision: 2120891
- xfont 1.x series no more needed

* Wed Oct 16 2024 daviddavid <daviddavid> 1.1.2-1.mga10
+ Revision: 2107356
- new version: 1.1.2
+ luigiwalser <luigiwalser>
- 1.1.1

* Mon Mar 14 2022 umeabot <umeabot> 1.1-4.mga9
+ Revision: 1791479
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1-3.mga8
+ Revision: 1510674
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.1-2.mga7
+ Revision: 1295356
- Mageia 7 Mass Rebuild

* Wed Nov 08 2017 tv <tv> 1.1-1.mga7
+ Revision: 1176517
- new release

* Thu Dec 31 2015 luigiwalser <luigiwalser> 1.0.5-1.mga6
+ Revision: 917365
- 1.0.5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 738905
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-3.mga5
+ Revision: 678131
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-2.mga4
+ Revision: 522147
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.4-1.mga3
+ Revision: 396952
- 1.0.4

* Fri Jan 11 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 346884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ ahmad <ahmad>
- imported package bdftopcf

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.3-1.mga1
+ Revision: 5645
- imported package bdftopcf


* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 590570
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdv2010.1
+ Revision: 522191
- rebuilt for 2010.1

* Fri Sep 25 2009 Thierry Vignaud <tv@mandriva.org> 1.0.2-1mdv2010.0
+ Revision: 448649
- new release

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-6mdv2010.0
+ Revision: 413164
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-5mdv2009.0
+ Revision: 220479
- rebuild

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-4mdv2008.1
+ Revision: 166384
- Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Wed Jan 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-3mdv2008.1
+ Revision: 153800
- Update BuildRequires and resubmit package.

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-2mdv2008.1
+ Revision: 148918
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Apr 30 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.0.1-1mdv2008.0
+ Revision: 19468
- Updated to 1.0.1.


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Tue May 16 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-16 20:33:11 (27443)
- fix description

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

